{--------------------------------------------------------------------------------------------------------}
{ PerAccount: Personal Accounting application                                                            }
{ Written by Motaz Abdel Azeem http://www.code.sd motaz@code.sd                                          }
{ License: LGPL                                                                                          }
{ Start development:   Aug.2010                                                                          }
{ Last modified:     1.Jun.2011                                                                          }
{--------------------------------------------------------------------------------------------------------}

program accounting;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, main, SQLDBLaz, memdslaz, Data, AddTrans, AddAccount, SelDate,
  AccountsTree, EntryForm, EditEntryForms, EditAccounts, EditEntities, Pass,
  Config, AddUser, ChangePass, Users, EditReports, DateDialog, SelAccounts,
  InsertCheque, ChequesReport, fortes324forlaz, ModifyCheque,
  ChequeHistoryReport, AccountsReport, EditBanks, GeneralReport, BackupDatabase,
  RestoreDatabase, ChartReport
  { you can add units after this };


const
  Version = '1.0.9';
  VersionDate = '2010 - June 2011';

{$R *.res}

begin
  Application.Title:= 'نظام الحسابات الشخصية';
  Application.Initialize;
  Application.CreateForm(TfmMain, fmMain);
  Application.CreateForm(TdmData, dmData);
  Application.CreateForm(TfmAddTrans, fmAddTrans);
  Application.CreateForm(TfmAddAccount, fmAddAccount);
  Application.CreateForm(TfmSelDate, fmSelDate);
  Application.CreateForm(TfmAccountsTree, fmAccountsTree);
  Application.CreateForm(TfmEntryForm, fmEntryForm);
  Application.CreateForm(TfmEditEntryForms, fmEditEntryForms);
  Application.CreateForm(TfmEditAccounts, fmEditAccounts);
  Application.CreateForm(TfmEditEntities, fmEditEntities);
  Application.CreateForm(TfmPass, fmPass);
  Application.CreateForm(TfmConfig, fmConfig);
  Application.CreateForm(TfmAddUser, fmAddUser);
  Application.CreateForm(TfmChangePass, fmChangePass);
  Application.CreateForm(TfmUsers, fmUsers);
  Application.CreateForm(TfmEditReports, fmEditReports);
  Application.CreateForm(TfmDateDialog, fmDateDialog);
  Application.CreateForm(TfmSelAccounts, fmSelAccounts);
  Application.CreateForm(TfmInsertCheque, fmInsertCheque);
  Application.CreateForm(TfmChequesReport, fmChequesReport);
  Application.CreateForm(TfmModifyCheque, fmModifyCheque);
  Application.CreateForm(TfmChequeHistoryReport, fmChequeHistoryReport);
  Application.CreateForm(TfmAccountsReport, fmAccountsReport);
  Application.CreateForm(TfmEditBanks, fmEditBanks);
  Application.CreateForm(TfmGeneralReport, fmGeneralReport);
  Application.CreateForm(TfmBackupDatabase, fmBackupDatabase);
  Application.CreateForm(TfmRestoreDatabase, fmRestoreDatabase);
  Application.CreateForm(TfmChartReport, fmChartReport);
  fmMain.laVersion.Caption:= 'PerAccount, Ver: ' + Version + '  ' + VersionDate;
  Application.Run;
end.

