unit AddUser;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, Buttons;

type

  { TfmAddUser }

  TfmAddUser = class(TForm)
    bbAdd: TBitBtn;
    cbRole: TComboBox;
    cxAddInServer: TCheckBox;
    edLogin: TEdit;
    edFullName: TEdit;
    edPassword: TEdit;
    edConfirm: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure bbAddClick(Sender: TObject);
  private
    { private declarations }
  public
    procedure Init;
    { public declarations }
  end; 

var
  fmAddUser: TfmAddUser;

implementation

{ TfmAddUser }

uses Data;

procedure TfmAddUser.bbAddClick(Sender: TObject);
begin
  if Trim(edLogin.Text) = '' then
    ShowMessage('لابد من كتابة إسم الدخول')
  else
  if (cxAddInServer.Checked) and (edPassword.Text = '') then
    ShowMessage('لابد من إدخال كلمة مرور')
  else
  if cxAddInServer.Checked and (edPassword.Text <> edConfirm.Text) then
    ShowMessage('كلمة المرور وتأكيدها غير متطابقتان')
  else
  begin
    if dmData.AddNewUser(edLogin.Text, edFullName.Text, edPassword.Text, cbRole.Text, cxAddInServer.Checked) then
      begin
        ShowMessage('تمت إضافة المستخدم الجديد بنجاح');
        Close;
      end;
  end;
end;

procedure TfmAddUser.Init;
begin
  edLogin.Clear;
  edFullName.Clear;
  edPassword.Clear;
  edConfirm.Clear;
  cbRole.ItemIndex:= 0;
  cxAddInServer.Checked:= True;
end;

initialization
  {$I adduser.lrs}

end.

