unit ChequeHistoryReport;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  RLReport, db;

type

  { TfmChequeHistoryReport }

  TfmChequeHistoryReport = class(TForm)
    Datasource1: TDatasource;
    laDetails: TRLLabel;
    laValue: TRLLabel;
    laAccount: TRLLabel;
    laChequeID: TRLLabel;
    laDebit: TRLLabel;
    laValue2: TRLLabel;
    laBank: TRLLabel;
    laCredit: TRLLabel;
    lrDate: TRLLabel;
    lrDate1: TRLLabel;
    lrDate2: TRLLabel;
    lrDate3: TRLLabel;
    lrDate4: TRLLabel;
    lrDate5: TRLLabel;
    lrDate6: TRLLabel;
    RLBand1: TRLBand;
    RLBand2: TRLBand;
    RLBand3: TRLBand;
    RLDBText1: TRLDBText;
    RLDBText2: TRLDBText;
    RLDBText4: TRLDBText;
    RLDBText5: TRLDBText;
    RLDBText6: TRLDBText;
    RLDraw1: TRLDraw;
    RLLabel1: TRLLabel;
    RLLabel3: TRLLabel;
    RLLabel4: TRLLabel;
    RLLabel5: TRLLabel;
    RLLabel6: TRLLabel;
    RLReport1: TRLReport;
    rlTitle: TRLLabel;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure lrDateBeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
    procedure RLBand3BeforePrint(Sender: TObject; var PrintIt: boolean);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmChequeHistoryReport: TfmChequeHistoryReport;


implementation

uses data;

{ TfmChequeHistoryReport }

procedure TfmChequeHistoryReport.RLBand3BeforePrint(Sender: TObject;
  var PrintIt: boolean);
begin
  if Datasource1.DataSet.RecNo mod 2 = 0 then
    RLBand3.Color:= $DDDDDD
  else
    RLBand3.Color:= clWhite;
end;

procedure TfmChequeHistoryReport.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  CloseAction:= caFree;
end;

procedure TfmChequeHistoryReport.lrDateBeforePrint(Sender: TObject;
  var OutputText: string; var PrintIt: boolean);
begin
  OutputText:= FormatDateTime('yyyy-mm-dd hh:nn', Now);
end;

initialization
  {$I chequehistoryreport.lrs}

end.

