unit EditAccounts;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  DbCtrls, Buttons, DBGrids, db;

type

  { TfmEditAccounts }

  TfmEditAccounts = class(TForm)
    bbSave: TBitBtn;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure bbSaveClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    { private declarations }
  public
    procedure Init;
    { public declarations }
  end; 

var
  fmEditAccounts: TfmEditAccounts;

implementation

{ TfmEditAccounts }

uses Data;

procedure TfmEditAccounts.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  dmData.sqEditAccounts.Close;
end;

procedure TfmEditAccounts.bbSaveClick(Sender: TObject);
var
  Num: Integer;
begin
  if dmData.sqEditAccounts.State in [dsInsert, dsEdit] then
    dmData.sqEditAccounts.Post;

  Num:= dmData.sqEditAccounts.RecNo;

  dmData.sqEditAccounts.ApplyUpdates;
  dmData.SQLTransaction1.CommitRetaining;
  dmData.sqEditAccounts.RecNo:= Num;
end;

procedure TfmEditAccounts.Init;
begin
  dmData.sqEditAccounts.Close;
  dmData.sqEditAccounts.Open;
end;

initialization
  {$I editaccounts.lrs}

end.

