unit EditEntryForms;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  DbCtrls, DBGrids, Buttons, db;

type

  { TfmEditEntryForms }

  TfmEditEntryForms = class(TForm)
    bbSave: TBitBtn;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure bbSaveClick(Sender: TObject);
    procedure DBGrid1CellClick(Column: TColumn);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    { private declarations }
  public
    procedure Init;
    { public declarations }
  end; 

var
  fmEditEntryForms: TfmEditEntryForms;

implementation

uses Data;

{ TfmEditEntryForms }

procedure TfmEditEntryForms.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  dmData.sqEntryForms.close;
  dmData.sqAccounts.Close;
end;

procedure TfmEditEntryForms.DBGrid1CellClick(Column: TColumn);
begin
end;

procedure TfmEditEntryForms.bbSaveClick(Sender: TObject);
var
  Num: Integer;
begin
  if dmData.sqEntryForms.State in [dsInsert, dsEdit] then
    dmData.sqEntryForms.Post;

  Num:= dmData.sqEntryForms.RecNo;
  dmData.sqEntryForms.ApplyUpdates;
  dmData.SQLTransaction1.CommitRetaining;
  dmData.sqEntryForms.RecNo:= Num;
end;

procedure TfmEditEntryForms.Init;
begin
  dmData.sqAccounts.Open;
  dmData.sqEntryForms.Open;
end;

initialization
  {$I editentryforms.lrs}

end.

