unit AccountsReport;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  RLReport, RLBarcode, db;

type

  { TfmAccountsReport }

  TfmAccountsReport = class(TForm)
    Datasource1: TDatasource;
    laAccountTitle: TRLLabel;
    lrDate: TRLLabel;
    RLBand1: TRLBand;
    RLBand2: TRLBand;
    RLBand3: TRLBand;
    RLDBText1: TRLDBText;
    RLDBText2: TRLDBText;
    RLDBText3: TRLDBText;
    RLDBText4: TRLDBText;
    RLDBText5: TRLDBText;
    RLDBText6: TRLDBText;
    RLLabel1: TRLLabel;
    RLLabel3: TRLLabel;
    RLLabel4: TRLLabel;
    RLLabel5: TRLLabel;
    RLLabel6: TRLLabel;
    RLLabel7: TRLLabel;
    RLLabel8: TRLLabel;
    RLReport1: TRLReport;
    rlTitle: TRLLabel;
    procedure lrDateBeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
    procedure RLBand3BeforePrint(Sender: TObject; var PrintIt: boolean);
    procedure RLBarcode1BeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
    procedure RLDBText3BeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmAccountsReport: TfmAccountsReport;

implementation

{ TfmAccountsReport }

uses Data;


procedure TfmAccountsReport.RLDBText3BeforePrint(Sender: TObject; var OutputText: string; var PrintIt: boolean);
begin
  if OutputText = '1' then
    OutputText:= 'مفعل'
  else
    OutputText:= 'غير مفعل';
end;

procedure TfmAccountsReport.lrDateBeforePrint(Sender: TObject;
  var OutputText: string; var PrintIt: boolean);
begin
  OutputText:= FormatDateTime('yyyy-mm-dd hh:nn', Now);
end;

procedure TfmAccountsReport.RLBand3BeforePrint(Sender: TObject; var PrintIt: boolean);
begin
  if Datasource1.DataSet.RecNo mod 2 = 0 then
    RLBand3.Color:= $EEEEEF
  else
    RLBand3.Color:= clWhite;
end;

procedure TfmAccountsReport.RLBarcode1BeforePrint(Sender: TObject;
  var OutputText: string; var PrintIt: boolean);
begin
//  OutputText:= '6251001210385';
end;

initialization
  {$I accountsreport.lrs}

end.

