unit ChequesReport;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  RLReport, db;

type

  { TfmChequesReport }

  TfmChequesReport = class(TForm)
    Datasource1: TDatasource;
    lrDate1: TRLLabel;
    laState: TRLLabel;
    RLBand1: TRLBand;
    RLBand2: TRLBand;
    RLBand3: TRLBand;
    RLBand4: TRLBand;
    RLDBText1: TRLDBText;
    RLDBText2: TRLDBText;
    RLDBText3: TRLDBText;
    RLDBText4: TRLDBText;
    RLDBText5: TRLDBText;
    RLDBText6: TRLDBText;
    RLDBText7: TRLDBText;
    RLLabel1: TRLLabel;
    RLLabel2: TRLLabel;
    RLLabel3: TRLLabel;
    RLLabel4: TRLLabel;
    RLLabel5: TRLLabel;
    RLLabel6: TRLLabel;
    lrDate: TRLLabel;
    RLLabel7: TRLLabel;
    RLLabel8: TRLLabel;
    laTotal: TRLLabel;
    rlTitle: TRLLabel;
    RLReport1: TRLReport;
    procedure lrDateBeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
    procedure RLBand3BeforePrint(Sender: TObject; var PrintIt: boolean);
    procedure RLDBText7BeforePrint(Sender: TObject; var OutputText: string;
      var PrintIt: boolean);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmChequesReport: TfmChequesReport;

implementation

uses Data;

{ TfmChequesReport }

procedure TfmChequesReport.RLBand3BeforePrint(Sender: TObject;
  var PrintIt: boolean);
begin
  if Datasource1.DataSet.RecNo mod 2 = 0 then
    RLBand3.Color:= $DDDDDD
  else
    RLBand3.Color:= clWhite;
end;

procedure TfmChequesReport.lrDateBeforePrint(Sender: TObject;
  var OutputText: string; var PrintIt: boolean);
begin
  OutputText:= FormatDateTime('yyyy-mm-dd hh:nn', Now);
end;

procedure TfmChequesReport.RLDBText7BeforePrint(Sender: TObject;
  var OutputText: string; var PrintIt: boolean);
begin
  OutputText:= Format('%3.0n', [Datasource1.DataSet.FieldByName('ChequeValue').AsFloat]);
end;

initialization
  {$I chequesreport.lrs}

end.

