unit EditBanks;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, LResources, Forms, Controls, Graphics,
  Dialogs, DbCtrls, DBGrids, Buttons;

type

  { TfmEditBanks }

  TfmEditBanks = class(TForm)
    bbSave: TBitBtn;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure bbSaveClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    { private declarations }
  public
    { public declarations }
    procedure Init;
  end; 

var
  fmEditBanks: TfmEditBanks;

implementation

{ TfmEditBanks }

uses Data;

procedure TfmEditBanks.bbSaveClick(Sender: TObject);
var
  Num: Integer;
begin
  if dmData.sqBanks.State in [dsInsert, dsEdit] then
    dmData.sqBanks.Post;

  Num:= dmData.sqBanks.RecNo;
  dmData.sqBanks.ApplyUpdates;
  dmData.SQLTransaction1.Commit;
  Init;
  dmData.sqBanks.RecNo:= Num;
end;

procedure TfmEditBanks.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  dmData.sqBanks.Close;
end;

procedure TfmEditBanks.Init;
begin
  dmData.sqBanks.Open;
end;

initialization
  {$I editbanks.lrs}

end.

