unit SelAccounts;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  Buttons, StdCtrls;

type

  { TfmSelAccounts }

  TfmSelAccounts = class(TForm)
    bbBrowse: TBitBtn;
    bbCancel: TBitBtn;
    bbSelect: TBitBtn;
    cbAccount: TComboBox;
    Label3: TLabel;
    procedure bbBrowseClick(Sender: TObject);
    procedure bbSelectClick(Sender: TObject);
  private
    { private declarations }
  public
    AccountIDs: array of Integer;
    { public declarations }
  end; 

var
  fmSelAccounts: TfmSelAccounts;

implementation

{ TfmSelAccounts }

uses AccountsTree;

procedure TfmSelAccounts.bbSelectClick(Sender: TObject);
begin
  ModalResult:= mrOK;
end;

procedure TfmSelAccounts.bbBrowseClick(Sender: TObject);
var
  i: Integer;
begin
  fmAccountsTree.Init;
  if fmAccountsTree.ShowModal = mrOK then
  begin
    for i:= 0 to High(AccountIDs) do
      if fmAccountsTree.SelectedAccountID = AccountIDs[i] then
      begin
        cbAccount.ItemIndex:= i + 1;
        Break;
      end;
  end;

end;

initialization
  {$I selaccounts.lrs}

end.

